Search processing.org:

Reference for Processing version 1.0+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PVector

Name

### get()

Examples

    PVector v1, v2;

    void setup() {
      size(100, 100);
      v1 = new PVector(20.0, 30.0, 40.0);
      v2 = new PVector();
      v2 = v1.get();
      println(v2.x);  // Prints "20.0"
      println(v2.y);  // Prints "30.0"
      println(v2.z);  // Prints "40.0"
    }

Description | Gets a copy of the vector, returns a PVector object.

Syntax

    vec.get()

Parameters

vec | any variable of type PVector

Returns | PVector
Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST